Bug 506123 - when registering with rhn_register, getting "Internal Server Error"
when registering with rhn_register, getting "Internal Server Error"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
wes hayutin
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-15 12:52 EDT by Jan Hutař
Modified: 2009-09-10 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:37:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback on the client side (3.53 KB, text/plain)
2009-06-15 12:56 EDT, Jan Hutař
no flags Details
root's mailbox on the satellite (62.43 KB, text/plain)
2009-06-15 13:06 EDT, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2009-06-15 12:52:27 EDT
Description of problem:
When I try to register system to the newly installed Satellite, I'm getting exception on both client and server.


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090612.0/x86_64


How reproducible:
always


Steps to Reproduce:
1. # rhn_register


Actual results:
traceback


Expected results:
no traceback


Additional info:
I have synced channels there with:
satellite-sync -m /mnt/hostel/export/sputnik-prod/ -c rhel-x86_64-server-5 -c rhel-i386-server-5 --no-rpms --no-packages --no-errata --no-kickstarts
Comment 1 Jan Hutař 2009-06-15 12:56:08 EDT
Created attachment 347966 [details]
traceback on the client side
Comment 2 Jan Hutař 2009-06-15 13:06:41 EDT
Created attachment 347967 [details]
root's mailbox on the satellite
Comment 3 John Matthews 2009-06-15 13:10:22 EDT
I'm seeing the same with a rhel5 client to rhel5 server, both i386.

rhn_register gave ISE
rhnreg_ks was fine.

From access_log I wasn't able to see much for a hint of the error, but I do
seee "500's" when we attempt with "rhn_register".

10.10.76.193 - - [15/Jun/2009:13:02:00 -0400] "POST /cobbler_api HTTP/1.1" 200
144 "-" "Java/1.6.0"
10.10.76.193 - - [15/Jun/2009:13:02:00 -0400] "POST /cobbler_api HTTP/1.1" 200
129 "-" "Java/1.6.0"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:18 -0400] "POST /XMLRPC
HTTP/1.1" 200 770 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:18 -0400] "POST /XMLRPC
HTTP/1.1" 200 737 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:27 -0400] "POST /XMLRPC
HTTP/1.1" 200 121 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:27 -0400] "POST /XMLRPC
HTTP/1.1" 500 9 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:33 -0400] "POST /XMLRPC
HTTP/1.1" 500 9 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:38 -0400] "POST /XMLRPC
HTTP/1.1" 500 9 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:43 -0400] "POST /XMLRPC
HTTP/1.1" 500 9 "-" "rhn.rpclib.py/$Revision: 136589 $"
rlx-0-24.rhndev.redhat.com - - [15/Jun/2009:13:02:48 -0400] "POST /XMLRPC
HTTP/1.1" 500 9 "-" "rhn.rpclib.py/$Revision: 136589 $"
Comment 5 wes hayutin 2009-06-19 12:00:12 EDT
rhn_registered w/ rhel4u7 / 8 and rhel 5.3
all worked

verified 6/16 server build
Comment 6 Preethi Thomas 2009-08-13 11:29:04 EDT
Release Pending
rhn_register on rhel4u8 & rhle5u3 worked
Comment 7 Brandon Perkins 2009-09-10 16:37:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.